=== debian/changelog ===
ros-geometry2 (0.7.10-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 0.7.10
  * Update patches.
    - Obsolete: 0010-Adapt-to-Python-3.9.patch
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 17:29:32 +0200
